<template>
  <div style="margin-top:30px; border: 1px solid gray;">
    <div class="flex text-white" style="background-color: #828282; align-items:center">
      <h4 class="font-size-20 flex" style="padding: 10px 20px 10px 40px">{{materials.listTitle}}</h4>
      <p class="font-size-16">(Cod. Material: {{materials.geminisCodMat}})</p>
    </div>
    <div class="max__width__42 flex" style="justify-content: center">
      <div
        class="subtitle-styles flex"
        style="margin:20px 0 5px 40px; align-items:center"
        v-if="listChapters.length > 1"
      >
        <p style="margin:0 10px 0 0">CAPÍTULO:</p>
        <el-select
          v-model="chapterSelect"
          placeholder="Seleccionar Capitulo"
          style="max-width: 80px;"
          size="small"
          class="width__100"
        >
          <el-option
            v-for="(chap,index) in listChapters"
            :key="index"
            :label="chap"
            :value="index+1"
          ></el-option>
        </el-select>
      </div>
    </div>
    <MaterialAmortization
      v-for="(material, index) in materials.detalleCapitulos"
      :key="index"
      :item="material"
      :chapter="chapterSelect"
      :exedPercent="exedPercent"
      :listChapters="listChapters"
      :originalMaterial="originalMaterial.detalleCapitulos[index]"
      @changeExedPercent="changeExedPercent"
      @captureNumber="capturingNumberAmortization(index)"
      @makeAmortization="makeAmortization"
      @updateData="updateData"
      @saveChangePasse="saveChangePasse"
    />
  </div>
</template>
<script>
import MaterialAmortization from './MaterialAmortization'
export default {
  name: 'FilterMaterialAmort',
  components: {
    MaterialAmortization,
  },
  props: {
    materials: { type: Object, required: false },
    listChapters: { type: Array, required: false },
    chapter: { type: [Number, String], required: false },
    exedPercent: { type: Boolean, required: false },
    originalMaterial: { type: Object, required: false },
  },
  data() {
    return {
      chapterSelect: '1',
      matPerChap: [],
    }
  },

  methods: {
    saveChangePasse(){
      this.$emit("saveChangePasse")
    },
    updateData(val) {
      this.$emit('updateData', val)
    },
    changeExedPercent() {
      this.$emit('changeExedPercent')
    },
    capturingNumberAmortization(index) {
      this.$emit('captureNumber', index)
    },
    makeAmortization(val) {
      this.$emit('makeAmortization', val)
    },
  },
}
</script>
<style>
.style__amortizacionContract .el-button--gray {
  background-color: #555f79 !important;
  border-color: #555f79 !important;
}

.style__amortizacionContract .el-button--gray:hover {
  background-color: #7c8292 !important;
  border-color: #7c8292 !important;
}

.style__amortizacionContract .bg-orange {
  background-color: #ff5000 !important;
  opacity: 0.8;
}
</style>
